引用符プレフィックス「'」を使用して入力した値は、文字列として変換および保存されます。
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), {sheetCount: 1});
initFunction(spread);
};
function initFunction(spread) {
var fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
var sheet = spread.getActiveSheet();
sheet.suspendPaint();
sheet.setColumnWidth(1, 100);
sheet.setColumnWidth(2, 300);
sheet.setValue(1, 0, 'Sample:');
sheet.setValue(2, 1, 'Normal');
sheet.setValue(3, 1, 'Quote Prefix');
sheet.setValue(4, 1, 'Normal');
sheet.setValue(5, 1, 'Quote Prefix');
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 2,
col: 2,
newValue: "12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 3,
col: 2,
newValue: "'12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 4,
col: 2,
newValue: "4/2/2020 13:39:48"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 5,
col: 2,
newValue: "'4/2/2020 13:39:48"
});
sheet.resumePaint();
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ja-jp" />
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/ja/purejs/node_modules/@mescius/spread-sheets-resources-ja/dist/gc.spread.sheets.resources.ja.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="formulaBar" contenteditable="true" spellcheck="false"
style="border: 1px solid grey;
height: 21px;
width: 100%;
overflow: hidden;
font-size: 13px;
font-family: arial, sans, sans-serif;
margin-bottom: 3px;
padding-top: 3px;
padding-bottom: 3px"></div>
<div id="ss" style="width:100%; height:100%; border: 1px solid gray;"></div>
</div></body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

When you input values using the quote prefix ', then the input value will be converted and stored as a string.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
border: '1px solid gray',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
let spread = $event.spread;
let fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
let sheet = spread.getActiveSheet();
sheet.suspendPaint();
sheet.setColumnWidth(1, 100);
sheet.setColumnWidth(2, 300);
sheet.setValue(1, 0, 'Sample:');
sheet.setValue(2, 1, 'Normal');
sheet.setValue(3, 1, 'Quote Prefix');
sheet.setValue(4, 1, 'Normal');
sheet.setValue(5, 1, 'Quote Prefix');
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 2,
col: 2,
newValue: "12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 3,
col: 2,
newValue: "'12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 4,
col: 2,
newValue: "4/2/2020 13:39:48"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 5,
col: 2,
newValue: "'4/2/2020 13:39:48"
});
sheet.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<div id="formulaBar" contenteditable="true" spellcheck="false"></div>
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
#formulaBar {
border: 1px solid grey;
height: 21px;
width: 100%;
overflow: hidden;
font-size: 13px;
font-family: arial, sans, sans-serif;
margin-bottom: 3px;
padding-top: 3px;
padding-bottom: 3px
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

When you input values using the quote prefix ', then the input value will be converted and stored as a string.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const AppFunc = () => {
const initSpread = (spread) => {
var fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
var sheet = spread.getActiveSheet();
sheet.suspendPaint();
sheet.setColumnWidth(1, 100);
sheet.setColumnWidth(2, 300);
sheet.setValue(1, 0, 'Sample:');
sheet.setValue(2, 1, 'Normal');
sheet.setValue(3, 1, 'Quote Prefix');
sheet.setValue(4, 1, 'Normal');
sheet.setValue(5, 1, 'Quote Prefix');
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 2,
col: 2,
newValue: "12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 3,
col: 2,
newValue: "'12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 4,
col: 2,
newValue: "4/2/2020 13:39:48"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 5,
col: 2,
newValue: "'4/2/2020 13:39:48"
});
sheet.resumePaint();
};
return (
<div className="sample-tutorial">
<div id="formulaBar" contentEditable={true} spellCheck={false}></div>
<div className="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>
);
};
export { AppFunc };
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return <div class="sample-tutorial">
<div id="formulaBar" contentEditable={true} spellcheck={false}></div>
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread(spread) {
var fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
var sheet = spread.getActiveSheet();
sheet.suspendPaint();
sheet.setColumnWidth(1, 100);
sheet.setColumnWidth(2, 300);
sheet.setValue(1, 0, 'Sample:');
sheet.setValue(2, 1, 'Normal');
sheet.setValue(3, 1, 'Quote Prefix');
sheet.setValue(4, 1, 'Normal');
sheet.setValue(5, 1, 'Quote Prefix');
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 2,
col: 2,
newValue: "12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 3,
col: 2,
newValue: "'12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 4,
col: 2,
newValue: "4/2/2020 13:39:48"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 5,
col: 2,
newValue: "'4/2/2020 13:39:48"
});
sheet.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
#formulaBar {
border: 1px solid grey;
height: 21px;
width: 100%;
overflow: hidden;
font-size: 13px;
font-family: arial, sans, sans-serif;
margin-bottom: 3px;
padding-top: 3px;
padding-bottom: 3px
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

When you input values using the quote prefix ', then the input value will be converted and stored as a string.
<template>
<div class="sample-tutorial">
<div id="formulaBar" contenteditable="true" spellcheck="false"></div>
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
</gc-spread-sheets>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
const initSpread = (spread) => {
const fbx = new GC.Spread.Sheets.FormulaTextBox.FormulaTextBox(document.getElementById('formulaBar'));
fbx.workbook(spread);
const sheet = spread.getActiveSheet();
sheet.suspendPaint();
sheet.setColumnWidth(1, 100);
sheet.setColumnWidth(2, 300);
sheet.setValue(1, 0, 'Sample:');
sheet.setValue(2, 1, 'Normal');
sheet.setValue(3, 1, 'Quote Prefix');
sheet.setValue(4, 1, 'Normal');
sheet.setValue(5, 1, 'Quote Prefix');
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 2,
col: 2,
newValue: "12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 3,
col: 2,
newValue: "'12"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 4,
col: 2,
newValue: "4/2/2020 13:39:48"
});
spread.commandManager().execute({
cmd: "editCell",
sheetName: "Sheet1",
row: 5,
col: 2,
newValue: "'4/2/2020 13:39:48"
});
sheet.resumePaint();
};
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
#formulaBar {
border: 1px solid grey;
height: 21px;
width: 100%;
overflow: hidden;
font-size: 13px;
font-family: arial, sans, sans-serif;
margin-bottom: 3px;
padding-top: 3px;
padding-bottom: 3px
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-print': 'npm:@mescius/spread-sheets-print/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);